## ros-noetic-fuse-models 0.4.2

=== debian/changelog ===
ros-noetic-fuse-models (0.4.2-1focal) focal; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Tom Moore <tmoore@locusrobotics.com>  Mon, 19 Jul 2021 23:00:00 -0000

ros-noetic-fuse-models (0.4.1-1focal) focal; urgency=high

  * Getting versions in sync
  * Substract minimum twist covariance from twist covariance (#222 <https://github.com/locusrobotics/fuse/issues/222>)
    * Substract min twist cov from twist cov
    If the twist covariance already had a minimum twist covariance added to
    it to prevent ill-conditioned covariance matrices, we need a way to
    substract that minimum twist covariance from it before we compute the
    pose relative covariance. Otherwise, we cannot get the original pose
    relative covariance because the minimum twist covariance term is
    multiplies by the time delta, which could actually make the resulting
    pose relative covariance ill-conditioned or very small, i.e.
    overconfident.
  * [Issue #223 <https://github.com/locusrobotics/fuse/issues/223>] Add an optional tf_timeout parameter to the sensor models (#224 <https://github.com/locusrobotics/fuse/issues/224>)
  * Factorize differential mode processing (#219 <https://github.com/locusrobotics/fuse/issues/219>)
    * Factorize differential mode processing
    * Throttle log message when transform message fails
  * Target frame optional (#217 <https://github.com/locusrobotics/fuse/issues/217>)
    * Make target_frame optional
    * Remove optional target_frame parameters in tests
  * Transform message in differential mode (#216 <https://github.com/locusrobotics/fuse/issues/216>)
    * Transform message in differential mode
    This is important because the relative transformation is not the same if
    the sensor and target frame are different.
    Consider for example the case of an IMU sensor upside down:
    * The robot base frame is base_link
    * The IMU sensor frame is imu_link
    * The imu_link transformation wrt base_link is 180 degrees wrt the y or
    x axis
    * The angular velocity around the z axis has opposite sign in the
    sensor frame wrt the target frame
    * Require pose_target_frame in differential mode
    * Roslint
    * Add pose_target_frame to optimizer test config
  * Use fuse_core::getPositiveParam for all ros::Duration parameters (#212 <https://github.com/locusrobotics/fuse/issues/212>)
    * Use fuse_core::getPositiveParam for ros::Duration
    * Use fuse_core::getPositiveParam for TF durations
  * Add tcp_no_delay parameter to sensor models (#211 <https://github.com/locusrobotics/fuse/issues/211>)
  * Add ability to throttle covariance computation (#209 <https://github.com/locusrobotics/fuse/issues/209>)
  * Add invert_tf to Odometry2DPublisher (#206 <https://github.com/locusrobotics/fuse/issues/206>)
    This allows to publish the inverse TF transform.
    This can be useful to skip the odom->base_link lookupTransform() when
    braodcasting map->base_link, which must be broadcasted as map->odom
    because TF tree doesn't support more than a single parent per frame,
    base_link in this case. This is particular relevant when
    predict_to_current_time is enabled, because the lookupTransform() could
    take a while, causing delays.
  * Support throttling serialized graph publisher (#204 <https://github.com/locusrobotics/fuse/issues/204>)
    * Change sensor proc from gtest to gmock target
    * Move ThrottledCallback to fuse_core
    * Support generic callbacks in ThrottledCallback
    * Throttle graph publishing
    * Overload getPositiveParam for ros::Duration
    * Use getPositiveParam for ros::Duration parameters
  * Add linear acceleration to synchronizer (#205 <https://github.com/locusrobotics/fuse/issues/205>)
  * Use local latest_stamp in notifyCallback (#203 <https://github.com/locusrobotics/fuse/issues/203>)
  * Use dedicated spinner for publish timer callback (#201 <https://github.com/locusrobotics/fuse/issues/201>)
    * Use dedicated spinner for publishTimerCallback
    * This reduces the jitter in the output topics and TF transform stamp
    because it allows the notifyCallback and publishTimerCallback to run
    concurrently. The notifyCallback might take longer than the timer
    period sometimes, mostly because the covariance computation is an
    expensive operation.
    * There is a subtle change of behaviour with this implementation!
    Before, the publishTimerCallback overwrote the odom_output_ and
    acceleration_output_ with the predicted state. Now it does not, and
    if it gets called twice or more times consecutively, it predicts since
    the last time the state was computed and updated in the
    notifyCallback. With the notifyCallback and publishTimerCallback
    running concurrently it is not trivial to keep the previous behaviour
    efficiently, because we would have to lock the entire callbacks to
    avoid the publishTimerCallback to overwrite a new state being computed
    concurrently in the notifyCallback. That being said, the predicted
    state is likely the same in both implementation. That is, the result
    is likely the same if we use multiple steps or a single one to predict
    the last state forward to the current time.
  * Add fuse_models::GraphIgnition sensor model (#196 <https://github.com/locusrobotics/fuse/issues/196>)
  * Add fuse_models::Transaction sensor model (#195 <https://github.com/locusrobotics/fuse/issues/195>)
  * Fix Unicycle2D constructor doxygen (#198 <https://github.com/locusrobotics/fuse/issues/198>)
  * Remove deprecated ::Model models leftovers (#194 <https://github.com/locusrobotics/fuse/issues/194>)
    * Remove fuse_models::twist_2d::Model plugin declaration
    * Remove empty space in fuse_plugins.xml
    * Update ::Model names to new names in doxygen comments

